Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie
Class CookieOrigin

    java.lang.Object
      org.apache.http.cookie.CookieOrigin

    @Immutable
    public final class CookieOrigin

extends Object

CookieOrigin class encapsulates details of an origin server that are relevant when parsing, validating or matching HTTP cookies.

Since:
  4.0

Constructor Summary
`CookieOrigin(String host, int port, String path, boolean secure)`

Method Summary
`String` | `getHost()`
`String` | `getPath()`
`int` | `getPort()`
`boolean` | `isSecure()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CookieOrigin

    public CookieOrigin(String host,
                        int port,
                        String path,
                        boolean secure)

Method Detail

### getHost

    public String getHost()

### getPath

    public String getPath()

### getPort

    public int getPort()

### isSecure

    public boolean isSecure()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.